Subject: bug#19731: 24.4; /dev/null is deleted by tramp-sh.el

From: crocket <[email-masked]>
Date: Tue, 3 Feb 2015 12:06:23 +0900

Unsetting HISTFILE and setting HISTFILESIZE to 0 disables history logging
altogether on bash.
On Feb 3, 2015 5:08 AM, "Glenn Morris" <[email-masked]> wrote:

> Michael Albinus wrote:
>
> >> It seems like a plain bug for bash to do what it does
> >
> > Looks to me like this.
>
> I don't think the bash folks disagree, but as always the question is
> what to do about it:
>
> http://lists.gnu.org/archive/html/bug-bash/2015-01/msg00138.html
>
> >> I wonder: what could Tramp do instead of setting HISTFILE to /dev/null?
> >> Could unsetting it result in the same behavior (i.e. not save Tramp's
> >> commands to any file)?
> >
> > That's how I understood the doc. Hope somebody will test it.
>
> http://pubs.opengroup.org/onlinepubs/9699919799/utilities/fc.html
>
> says that
>
>    If the HISTFILE variable is not set, the shell may attempt to access
>    or create a file .sh_history in the directory referred to by the HOME
>    environment variable.
>
> and indeed by experiment with bash 4.2.45, that is exactly what happes
> with HISTFILE unset and using "bash --posix".
>
> So (probably) you can't win.
>